package opc.ua.services.common;

public class DataChangeNotification {

	private MonitoredItemNotification[] monitoredItems;
    private DiagnosticInfo[] diagnosticInfos;
	
	private class MonitoredItemNotification {
		/** IntegerId */
		private Integer clientHandle;
		private DataValue value;
	}


	public MonitoredItemNotification[] getMonitoredItems() {
		return monitoredItems;
	}

	public void setMonitoredItems(MonitoredItemNotification[] monitoredItems) {
		this.monitoredItems = monitoredItems;
	}

	public DiagnosticInfo[] getDiagnosticInfos() {
		return diagnosticInfos;
	}

	public void setDiagnosticInfos(DiagnosticInfo[] diagnosticInfos) {
		this.diagnosticInfos = diagnosticInfos;
	}

}
